Subject: [PATCHv2 00/32] ARM: at91: Switch remaining SoCs and boards to CCF

From: [email-masked] (Nicolas Ferre)
Date: Tue, 8 Jul 2014 19:11:37 +0200

On 07/07/2014 22:23, Alexandre Belloni :
> This patch set adds support for the common clock framwork to the remaining atml
> SoCs: at91rm9200, at91sam9260, at91sam9263, at91sam9g45.
> 
> It also defines the necessary main crystal and slow crystal frequencies.
> 
> I couldn't find datasheets for the following boards:
>  - mpa1600
>  - ge863-pro3
>  - animeo_ip
>  - tny_a9260
> 
> For those, I assumed the 32kHz crystal is present on the board as this is the
> most common implementation (only one board doesn't have it). Please correct me
> if this is wrong.
> 
> I could not test at91rm9200 as I don't own any board with that chip.

It seems okay and I am looking forward to see these board converted:
Nice job!

Acked-by: Nicolas Ferre <[email-masked]>

BTW, can you send me pull-requests for the 3.17 material? It can be even
more convenient for me to organize series and dependancis for pushing
upstream. It seems that we have quite a few "cleanup" patches for this
development cycle.

Best regards,

> Changes in v2:
>  - Drop patch 3 that has been taken in the clock tree
>  - rename tcb*_clk in tc*_clk for rm9200 an sam9260
>  - rename tc0_clk in tcb_clk for sam9263
> 
> Cc: Douglas Gilbert <[email-masked]>
> Cc: Gregory Hermant <[email-masked]>
> Cc: Joachim Eastwood <[email-masked]>
> Cc: Fabio Porcedda <[email-masked]>
> Cc: Jiri Prchal <[email-masked]>
> Cc: Tim Schendekehl <[email-masked]>
> Cc: Gael Portay <[email-masked]>
> Cc: Rodolfo Giometti <[email-masked]>
> 
> Alexandre Belloni (33):
> Alexandre Belloni (32):
>   Documentation: dt: document all the atmel pmc compatibles
>   ARM: at91/dt: ariag25: define crystals frequencies
>   ARM: at91: prepare common clk transition for rm9200
>   ARM: at91/dt: rm9200: define clocks
>   ARM: at91: move at91rm9200 SoC to the CCF
>   ARM: at91/dt: at91rm9200ek: define crystals frequencies
>   ARM: at91: prepare common clk transition for sam9260
>   ARM: at91/dt: sam9260: define clocks
>   ARM: at91/dt: sam9g20: define clocks
>   ARM: at91: move at91sam9260 SoCs to the CCF
>   ARM: at91/dt: at91sam9g20ek: define crystals frequencies
>   ARM: at91/dt: foxg20: define crystals frequencies
>   ARM: at91/dt: usb_a9260: define crystals frequencies
>   ARM: at91/dt: tny_a9260: define crystals frequencies
>   ARM: at91/dt: qil_a9260: define crystals frequencies
>   ARM: at91/dt: mpa1600: define crytals frequencies
>   ARM: at91/dt: ge863-pro3: define crystals frequencies
>   ARM: at91/dt: ethernut5: define crystals frequencies
>   ARM: at91/dt: animeo_ip: define crystals frequencies
>   ARM: at91/dt: kizbox: define main crystal frequency
>   ARM: at91: prepare common clk transition for sam9g45
>   ARM: at91/dt: sam9g45: define clocks
>   ARM: at91: move at91sam9g45 SoC to the CCF
>   ARM: at91/dt: sam9m10g45ek: define crystals frequencies
>   ARM: at91/dt: pm9g45: crystals frequencies
>   ARM: at91/dt: cosino define crystals frequencies
>   ARM: at91: prepare common clk transition for sam9263
>   ARM: at91/dt: sam9263: define clocks
>   ARM: at91: move at91sam9263 SoC to the CCF
>   ARM: at91/dt: sam9263ek: define crystals frequencies
>   ARM: at91/dt: tny_a9263: define crystals frequencies
>   ARM: at91/dt: usb_a9263: define crystals frequencies
> 
>  .../devicetree/bindings/arm/atmel-pmc.txt          |   5 +-
>  arch/arm/boot/dts/animeo_ip.dts                    |   8 +
>  arch/arm/boot/dts/at91-ariag25.dts                 |   8 +
>  arch/arm/boot/dts/at91-cosino.dtsi                 |   8 +
>  arch/arm/boot/dts/at91-foxg20.dts                  |   8 +
>  arch/arm/boot/dts/at91-qil_a9260.dts               |   8 +
>  arch/arm/boot/dts/at91rm9200.dtsi                  | 304 ++++++++++++++++++
>  arch/arm/boot/dts/at91rm9200ek.dts                 |   8 +
>  arch/arm/boot/dts/at91sam9260.dtsi                 | 314 ++++++++++++++++++-
>  arch/arm/boot/dts/at91sam9263.dtsi                 | 311 +++++++++++++++++++
>  arch/arm/boot/dts/at91sam9263ek.dts                |   8 +
>  arch/arm/boot/dts/at91sam9g20.dtsi                 |  24 ++
>  arch/arm/boot/dts/at91sam9g20ek_common.dtsi        |   8 +
>  arch/arm/boot/dts/at91sam9g45.dtsi                 | 340 ++++++++++++++++++++-
>  arch/arm/boot/dts/at91sam9m10g45ek.dts             |   8 +
>  arch/arm/boot/dts/ethernut5.dts                    |  10 +
>  arch/arm/boot/dts/ge863-pro3.dtsi                  |   8 +
>  arch/arm/boot/dts/kizbox.dts                       |   4 +
>  arch/arm/boot/dts/mpa1600.dts                      |   8 +
>  arch/arm/boot/dts/pm9g45.dts                       |   8 +
>  arch/arm/boot/dts/tny_a9260_common.dtsi            |   8 +
>  arch/arm/boot/dts/tny_a9263.dts                    |   8 +
>  arch/arm/boot/dts/usb_a9260_common.dtsi            |   8 +
>  arch/arm/boot/dts/usb_a9263.dts                    |   8 +
>  arch/arm/mach-at91/Kconfig                         |   4 -
>  arch/arm/mach-at91/at91rm9200.c                    |   6 +-
>  arch/arm/mach-at91/at91sam9260.c                   |   6 +-
>  arch/arm/mach-at91/at91sam9263.c                   |   6 +-
>  arch/arm/mach-at91/at91sam9g45.c                   |   6 +-
>  29 files changed, 1457 insertions(+), 11 deletions(-)
> 

-- 
Nicolas Ferre